org.apache.cassandra.service

## Interface CASRequest

All Known Implementing Classes:
  CQL3CasRequest

    public interface CASRequest

Abstract the conditions and updates for a CAS operation.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `appliesTo(ColumnFamily current)` Returns whether the provided CF, that represents the values fetched using the readFilter(), match the CAS conditions this object stands for.
`ColumnFamily` `makeUpdates(ColumnFamily current)` The updates to perform of a CAS success.
`IDiskAtomFilter` `readFilter()` The filter to use to fetch the value to compare for the CAS.

### Method Detail

#### readFilter

    IDiskAtomFilter readFilter()

The filter to use to fetch the value to compare for the CAS.

#### appliesTo

    boolean appliesTo(ColumnFamily current)
               throws InvalidRequestException

Returns whether the provided CF, that represents the values fetched using the readFilter(), match the CAS conditions this object stands for.

Throws:
  `InvalidRequestException`

#### makeUpdates

    ColumnFamily makeUpdates(ColumnFamily current)
                      throws InvalidRequestException

The updates to perform of a CAS success. The values fetched using the readFilter() are passed as argument.

Throws:
  `InvalidRequestException`